ProductAddNameplates:
  post:
    tags:
      - products
    operationId: addProductNameplates
    x-lg-handler: 'App\Http\ApiV1\Modules\Products\Controllers\ProductsController@addNameplates'
    summary: Linking objects of Nameplate to object of Product
    description: Linking objects of Nameplate to object of Product
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/products.yaml#/AddNameplatesRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
ProductDeleteNameplates:
  delete:
    tags:
      - products
    operationId: deleteProductNameplates
    x-lg-handler: 'App\Http\ApiV1\Modules\Products\Controllers\ProductsController@deleteNameplates'
    summary: Deleting links between objects of Nameplate and object of Product
    description: Deleting links between objects of Nameplate and object of Product
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/products.yaml#/DeleteNameplatesRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Numeric ID
  example: 1
